package org.elsysbg.courses.ip.jpa.biology.request;

import org.elsysbg.courses.ip.jpa.biology.helper.CommonHelper;
import org.elsysbg.courses.ip.jpa.biology.model.AbstractEntity;
import org.elsysbg.courses.ip.jpa.biology.model.PersistenceManager;
import org.elsysbg.courses.ip.jpa.biology.application.MessageKeys;
import org.elsysbg.courses.ip.jpa.biology.application.NavigationOutcomes;

public class RemoveEntity {

	private AbstractEntity entity;

	public String removeEntity() {
		if(PersistenceManager.getInstance().removeEntity(entity)) {
			CommonHelper.addMessage(MessageKeys.entityRemoved, false);
		} else {
			CommonHelper.addMessage(MessageKeys.entityRemoveError, true);
		}
		
		return NavigationOutcomes.again;
	}

	public void setEntity(AbstractEntity entity) {
		this.entity = entity;
	}

	public AbstractEntity getEntity() {
		return entity;
	}
}
